Class | Bio::Blat::Report::SeqDesc
In: | lib/bio/appl/blat/report.rb
Parent: | Object

Bio::Blat::Report::SeqDesc stores sequence information of query or subject of the BLAT report. It also includes some hit information.

### Methods

new

### Attributes

end | [R] | end position of the final segment
gap_bases | [R] | gap bases
gap_count | [R] | gap count
name | [R] | name of the sequence
seqs | [R] | sequences of segments. Returns an array of String. Returns nil if there are no sequence data.
size | [R] | length of the sequence
start | [R] | start position of the first segment
starts | [R] | start positions of segments. Returns an array of numbers.

### Public Class methods

new(gap_count, gap_bases, name, size, st, ed, starts, seqs)

Creates a new SeqDesc object. It is designed to be called internally from Bio::Blat::Report class. Users shall not use it directly.

[Source]

         # File lib/bio/appl/blat/report.rb, line 161
    161:         def initialize(gap_count, gap_bases, name, size,
    162:                        st, ed, starts, seqs)
    163:           @gap_count = gap_count.to_i
    164:           @gap_bases = gap_bases.to_i
    165:           @name = name
    166:           @size = size.to_i
    167:           @start = st.to_i
    168:           @end = ed.to_i
    169:           @starts = starts.collect { |x| x.to_i }
    170:           @seqs = seqs
    171:         end

[Validate]